/* -*-c-*-
 *
 * $Id: acconfig.h,v 1.10 2003/10/12 00:14:44 mdw Exp $
 *
 * Default settings for `become' config.h
 *
 * (c) 1998 Mark Wooding
 */

/*----- Licensing notice --------------------------------------------------*
 *
 * This file is part of `become'
 *
 * `Become' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * `Become' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with `become'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------*
 *
 * $Log: acconfig.h,v $
 * Revision 1.10  2003/10/12 00:14:44  mdw
 * Major overhaul.  Now uses DSA signatures rather than the bogus symmetric
 * encrypt-and-hope thing.  Integrated with mLib and Catacomb.
 *
 * Revision 1.9  1999/05/04 16:25:42  mdw
 * Fixes for new version of automake.
 *
 * Revision 1.8  1998/04/23  13:08:42  mdw
 * Fix formatting.  Add new option to disable networking.
 *
 * Revision 1.7  1998/01/12 16:45:20  mdw
 * Fix copyright date.
 *
 * Revision 1.6  1997/09/17  10:02:07  mdw
 * Remove `@ signs -- autoconf mangles them too badly.
 *
 * Revision 1.5  1997/09/08  13:41:36  mdw
 * Remove redundant entry for `HAVE_LIBEFENCE'.
 *
 * Revision 1.4  1997/09/05  11:45:17  mdw
 * Add support for different login styles, and environment variable
 * manipulation in a safe and useful way.
 *
 * Revision 1.3  1997/08/07 09:33:05  mdw
 * Added `ElectricFence' support.  Other minor cosmetic things.
 *
 * Revision 1.2  1997/08/04 10:24:19  mdw
 * Sources placed under CVS control.
 *
 * Revision 1.1  1997/07/21  13:47:52  mdw
 * Initial revision
 *
 */

#ifndef CONFIG_H
#define CONFIG_H

/*----- Variables set up by the configuration script ----------------------*/
@TOP@

/* My package name.  */
#define PACKAGE "become"

/* My version number.  */
#define VERSION "1.2-pre"

/* The `etcdir' contains configuration and state information.  */
#define ETCDIR "/etc/become"

/* Default login style can be `l_preserve', `l_setuser' or `l_login'.  */
#define DEFAULT_LOGIN_STYLE l_preserve

/* This is replaced by `/' by `configure' -- leave alone for DOSness.  */
#define PATHSEP '\\'

/* Define to turn off networking support.  */
#undef NONETWORK

/* Debugging options. */
#undef NTRACE

#ifndef TEST_RIG
#undef NDEBUG
#endif

/* Define if we have YP support.  */
#undef HAVE_YP

/* Define to `int' if nothing defines.  */
#undef ssize_t

@BOTTOM@

/*----- Some light processing on the configuration variables --------------*/

/* --- Important filenames based on the @ETCDIR@ --- */

#define file_KEY ETCDIR "/become.key"
#define file_PUBKEY ETCDIR "/become.pubkey"
#define file_PID ETCDIR "/become.pid"
#define file_RULES ETCDIR "/become.conf"
#define file_SERVER ETCDIR "/become.server"

/* --- Debugging macros --- */

#ifdef NDEBUG
#  define D(x) /* empty */
#else
#  define D(x) x
#endif

/*----- That's all, folks -------------------------------------------------*/

#endif
