/* -*-c-*-
 *
 * $Id*
 *
 * Main header file for `become'
 *
 * (c) 1998 EBI
 */

/*----- Licensing notice --------------------------------------------------*
 *
 * This file is part of `become'
 *
 * `Become' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * `Become' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with `become'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------*
 *
 * $Log: become.h,v $
 * Revision 1.3  1998/04/23 13:21:28  mdw
 * Disable trace constants for networking when it's not compiled in.
 *
 * Revision 1.2  1998/01/12 16:45:42  mdw
 * Fix copyright date.
 *
 * Revision 1.1  1997/08/07 09:40:01  mdw
 * Added.  No idea why this wasn't done before.
 *
 */

#ifndef BECOME_H
#define BECOME_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Required headers --------------------------------------------------*/

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#ifndef CONFIG_H
#  include "config.h"
#endif

/*----- Tracing levels ----------------------------------------------------*/

#define TRACE_SILENT	0u
#define TRACE_MISC	1u
#define TRACE_SETUP	2u
#define TRACE_RULE	4u
#ifndef NONETWORK
#  define TRACE_DAEMON	8u
#  define TRACE_CHECK	16u
#  define TRACE_CLIENT	32u
#  define TRACE_RAND	64u
#  define TRACE_CRYPTO	128u
#else
#  define TRACE_DAEMON	0
#  define TRACE_CHECK	0
#  define TRACE_CLIENT	0
#  define TRACE_RAND	0
#  define TRACE_CRYPTO	0
#endif
#define TRACE_YACC	256u
#define TRACE_DEBUG	512u

#define TRACE_PRIV	( TRACE_RAND | TRACE_CRYPTO | TRACE_YACC |	\
			  TRACE_DEBUG )
#define TRACE_DFL	( TRACE_MISC | TRACE_SETUP | TRACE_CLIENT |	\
			  TRACE_DAEMON | TRACE_CHECK )
#define TRACE_ALL	0xFFFFu

/*----- Type definitions --------------------------------------------------*/

/* --- Request buffer (plaintext) --- */

#define CMDLEN_MAX 1016			/* Max length of command */

typedef struct request {
  struct in_addr host;			/* Requesting host */
  uid_t from;				/* Current user ID */
  uid_t to;				/* Requested UID */
  char cmd[CMDLEN_MAX];			/* Command string requested */
} request;

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
