/* -*-c-*-
 *
 * $Id: lexer.h,v 1.3 1998/01/12 16:46:07 mdw Exp $
 *
 * Lexical analyser for `become.conf' files
 *
 * (c) 1998 EBI
 */

/*----- Licensing notice --------------------------------------------------*
 *
 * This file is part of `become'
 *
 * `Become' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * `Become' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with `become'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------*
 *
 * $Log: lexer.h,v $
 * Revision 1.3  1998/01/12 16:46:07  mdw
 * Fix copyright date.
 *
 * Revision 1.2  1997/08/04 10:24:23  mdw
 * Sources placed under CVS control.
 *
 * Revision 1.1  1997/07/21  13:47:48  mdw
 * Initial revision
 *
 */

#ifndef LEXER_H
#define LEXER_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Required headers --------------------------------------------------*/

#include <stdio.h>

/*----- Global variables --------------------------------------------------*/

extern int lex_line;			/* Current line number */

/*----- Functions provided ------------------------------------------------*/

/* --- @yylex@ --- *
 *
 * Arguments:	---
 *
 * Returns:	The next token, or zero for EOF.
 *
 * Use:		Scans the input file.
 */

extern int yylex(void);

/* --- @lexer_scan@ --- *
 *
 * Arguments:	@FILE *fp@ = pointer to a stream object to scan
 *
 * Returns:	---
 *
 * Use:		Initialises the scanner ready to parse from the given
 *		stream.
 */

extern void lexer_scan(FILE */*fp*/);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
